package com.zipcoder.payment;
import java.util.Arrays;

public class PaymentPresenter {
    public String toString(Payment[] payments){
        Arrays.sort(payments);
        StringBuilder builder = new StringBuilder();
        for(Payment o: payments){
            o.getId();
            o.getPayerName();
            builder.append(o.getShortDescription()+ "\n");
        }
        return builder.toString();
    }

    public String toStringByPayerName(Payment[] payments){
        Arrays.sort(payments, new PaymentSortByPayer());
        StringBuilder builder = new StringBuilder();
        for (Payment o: payments){
            builder.append(o.getShortDescription()+ "\n");
        }
        return builder.toString();
    }

    public String toStringById(Payment[] payments){
        Arrays.sort(payments, (Payment a, Payment b) -> Long.compare(a.getId(), b.getId()));
        StringBuilder builder = new StringBuilder();
        for (Payment o: payments){
            builder.append(o.getShortDescription()+ "\n");
        }
        return builder.toString();
    }
}
