package com.zipcoder.payment;

import org.junit.Test;

import static org.junit.Assert.*;

public class CheckTest {

    @Test
    public void getSetId() {
        long id = 12345;
        long expectedId = id;
        Check check = new Check();
        check.setId(id);
        long actualId = check.getId();
        assertEquals(expectedId, actualId);
    }

    @Test
    public void getSetPayerName() {
        String payerName = "Tia Mowry";
        String expectedPayerName = payerName;
        Check check = new Check();
        check.setPayerName(payerName);
        String actualPayerName = check.getPayerName();
        assertEquals(expectedPayerName, actualPayerName);
    }

    @Test
    public void getSetRoutingNumber(){
        String routingNumber = "987654321";
        String expectedRoutingNUmber = routingNumber;
        Check check = new Check();
        check.setRoutingNumber(routingNumber);
        String actualRoutingNumber = check.getRoutingNumber();
        assertEquals(expectedRoutingNUmber, actualRoutingNumber);
    }

    @Test
    public void getSetAccountNumber(){
        String accountNumber = "0123456789";
        String expectedAccountNumber = accountNumber;
        Check check = new Check();
        check.setAccountNumber(accountNumber);
        String actualAccountNumber = check.getAccountNumber();
        assertEquals(expectedAccountNumber, actualAccountNumber);
    }

    @Test
    public void getShortDescription() {
        Check check = new Check();
        String getShortDescription = ("Check" + check.getPayerName() + check.getAccountNumber());
        String expectedGetShortDescription = ("Check" + check.getPayerName() + check.getAccountNumber());
        String actualGetShortDescription = check.getShortDescription();
        assertEquals(expectedGetShortDescription, actualGetShortDescription);
    }


    @Test
    public void compareTo1() {
        CreditCard creditCard = new CreditCard();
        Check check = new Check();
        int expectedCompareTo = 1;
        int actualCompareTo = check.compareTo(creditCard);
        assertEquals(expectedCompareTo, actualCompareTo);
    }

    @Test
    public void compareTo2() {
        Check check = new Check();
        PayPal payPal = new PayPal();
        int expectedCompareTo = -1;
        int actualCompareTo = check.compareTo(payPal);
        assertEquals(expectedCompareTo, actualCompareTo);
    }

    @Test
    public void compareTo3() {
        Check check = new Check();
        int expectedCompareTo = 0;
        int actualCompareTo = check.compareTo(check);
        assertEquals(expectedCompareTo, actualCompareTo);
    }
}