package com.zipcoder.payment;

import org.junit.Test;
import org.junit.runner.RunWith;

import static org.junit.Assert.*;


public class CreditCardTest {

    @org.junit.Before
    public void setUp() throws Exception {
    }

    @org.junit.After
    public void tearDown() throws Exception {
    }

    @org.junit.Test
    public void getSetIdTest() {
        long id = 12345;
        long expectedId = id;
        CreditCard creditCard = new CreditCard();
        creditCard.setId(id);
        long actualId = creditCard.getId();
        assertEquals(expectedId, actualId);
    }

    @Test
    public void getSetPayerNameTest(){
        String payerName = "Tia Mowry";
        String expectedPayerName = payerName;
        CreditCard creditCard = new CreditCard();
        creditCard.setPayerName(payerName);
        String actualPayerName = creditCard.getPayerName();
        assertEquals(expectedPayerName, actualPayerName);
    }


    @org.junit.Test
    public void getSetNumber() {
    String number = "4551";
    String expectedNumber = number;
    CreditCard creditCard = new CreditCard();
    creditCard.setNumber(number);
    String actualNumber = creditCard.getNumber();
    assertEquals(expectedNumber, actualNumber);
    }

    @Test
    public void getSetExpiredMonth(){
        int expiredMonth = 10;
        int expectedExpiredMonth = expiredMonth;
        CreditCard creditCard = new CreditCard();
        creditCard.setExpiredMonth(expiredMonth);
        int actualExpiredMonth = creditCard.getExpiredMonth();
        assertEquals(expectedExpiredMonth, actualExpiredMonth);
    }

    @Test
    public void getSetExpiredYear(){
        int expiredYear = 2019;
        int expectedExpiredYear = expiredYear;
        CreditCard creditCard = new CreditCard();
        creditCard.setExpiredYear(expiredYear);
        int actualExpiredYear = creditCard.getExpiredYear();
        assertEquals(expectedExpiredYear, actualExpiredYear);
    }

    @org.junit.Test
    public void getShortDescription() {
        CreditCard creditCard = new CreditCard();
        String getShortDescription = ("CC" + creditCard.getPayerName() + creditCard.getNumber() + creditCard.getExpiredMonth() + "/" + creditCard.getExpiredYear());
        String expectedGetShortDescription = ("CC" + creditCard.payerName + creditCard.getNumber() + creditCard.getExpiredMonth() + "/" + creditCard.getExpiredYear());
        String actualGetShortDescription = creditCard.getShortDescription();
        assertEquals(expectedGetShortDescription, actualGetShortDescription);
    }

    @Test
    public void compareTo1() {
        CreditCard creditCard = new CreditCard();
        Check check = new Check();
        int expectedCompareTo = -1;
        int actualCompareTo = creditCard.compareTo(check);
        assertEquals(expectedCompareTo, actualCompareTo);
    }

    @Test
    public void compareTo2() {
        CreditCard creditCard = new CreditCard();
        PayPal payPal = new PayPal();
        int expectedCompareTo = -1;
        int actualCompareTo = creditCard.compareTo(payPal);
        assertEquals(expectedCompareTo, actualCompareTo);
    }

    @Test
    public void compareTo3() {
        CreditCard creditCard = new CreditCard();
        int expectedCompareTo = 0;
        int actualCompareTo = creditCard.compareTo(creditCard);
        assertEquals(expectedCompareTo, actualCompareTo);
    }
}
